petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMDAGetNeighbors

Gets an array containing the MPI rank of all the current processes neighbors.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetNeighbors(DM da,const PetscMPIInt *ranks[])

Not Collective

### Input Parameter

da -the DMDA object

### Output Parameters

ranks -the neighbors ranks, stored with the x index increasing most rapidly. this process itself is in the list

### Notes

In 2d the array is of length 9, in 3d of length 27 Not supported in 1d Do not free the array, it is freed when the DMDA is destroyed.

### Fortran Notes

In fortran you must pass in an array of the appropriate length.

### Level

intermediate

### Location

src/dm/impls/da/da.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages